Skip to Content

Agents

11 endpoints

POST /api/v5/artifacts/agents/get

Get Agent

Get agent information using the canonical shared agent operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ agent_id?: `string` | `null` draft_id?: `string` | `null` }

Response:

{ actor_name?: `string` | `null` agent_exists?: `boolean` | `null` can_edit?: `boolean` | `null` disabled_reason?: `string` | `null` draft_version?: `integer` | `null` group_id?: `string` | `null` basic_show_ai_generate?: `boolean` | `null` general_show_ai_generate?: `boolean` | `null` names?: `AgentNameSection` | `null` descriptions?: `AgentDescriptionSection` | `null` models?: `AgentModelSection` | `null` prompts?: `AgentPromptSection` | `null` instructions?: `AgentInstructionSection` | `null` flags?: `AgentFlagSection` | `null` departments?: `AgentDepartmentSection` | `null` tools?: `AgentToolSection` | `null` temperature_levels?: `AgentTemperatureLevelSection` | `null` reasoning_levels?: `AgentReasoningLevelSection` | `null` voices?: `AgentVoiceSection` | `null` qualities?: `AgentQualitySection` | `null` ... }

POST /api/v5/artifacts/agents/search

Search Agent

Search agents — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ search?: `string` | `null` filter_department_ids?: `string`[] | `null` filter_model_ids?: `string`[] | `null` filter_tool_ids?: `string`[] | `null` department_search?: `string` | `null` model_search?: `string` | `null` tool_search?: `string` | `null` page_size?: `integer` | `null` page_offset?: `integer` | `null` }

Response:

{ actor_name?: `string` | `null` agents?: `ListAgentApiAgent`[] | `null` department_filter?: `ListFilterSection` | `null` model_filter?: `ListFilterSection` | `null` tool_filter?: `ListFilterSection` | `null` total_count?: `integer` | `null` }

POST /api/v5/artifacts/agents/create

Create Agent

Create agents using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ agents: `CreateAgentItem`[] }

Response:

{ results: `AgentResultItem`[] }

POST /api/v5/artifacts/agents/update

Update Agent

Update agents using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ agents: `UpdateAgentItem`[] }

Response:

{ results: `AgentResultItem`[] }

POST /api/v5/artifacts/agents/duplicate

Duplicate Agent

Duplicate an agent — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ agent_id: `string` }

Response:

{ success: `boolean` agent_id: `string` message: `string` }

POST /api/v5/artifacts/agents/delete

Delete Agent

Bulk delete agents — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ agent_ids: `string`[] }

Response:

{ results: `DeleteAgentResult`[] }

PATCH /api/v5/artifacts/agents/draft

Patch Agent Draft

Patch agent draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ group_id?: `string` | `null` input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` name_id?: `string` | `null` description?: `string` | `null` description_id?: `string` | `null` flag_ids?: `string`[] | `null` department_ids?: `string`[] | `null` model_ids?: `string`[] | `null` tool_ids?: `string`[] | `null` reasoning_level_ids?: `string`[] | `null` temperature_level_ids?: `string`[] | `null` voice_ids?: `string`[] | `null` rubric_ids?: `string`[] | `null` }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `AgentDraftFormState` | `null` }

POST /api/v5/artifacts/agents/drafts

Get Agent Drafts

List agent drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetAgentDraftResponse`[] | `null` }

POST /api/v5/artifacts/agents/docs

Get Agent Docs Endpoint

Get composed documentation for the agent artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

POST /api/v5/artifacts/agents/export

Export Agents

Export all agents as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ agent_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

POST /api/v5/artifacts/agents/refresh

Agent Refresh

Refresh agent materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

Last updated on